Attribute VB_Name = "ModMain"
Option Explicit

Private Declare Function GetTempPath Lib "kernel32" Alias "GetTempPathA" (ByVal nBufferLength As Long, ByVal lpBuffer As String) As Long
Private Declare Function GetTempFileName Lib "kernel32" Alias "GetTempFileNameA" (ByVal lpszPath As String, ByVal lpPrefixString As String, ByVal wUnique As Long, ByVal lpTempFileName As String) As Long
Private Const MAX_PATH = 260
Private Const CCHDEVICENAME = 32
Private Const CCHFORMNAME = 32
Private Const SRCCOPY = &HCC0020 ' (DWORD) destination = source


Public Sub main()
    If Len(gVersion) <> 5 Then
        MsgBox "unable to startup, variable 'gversion' needs to be 5 characters long !"
    Else
        FrmStartup.Show 1
        MdiFormMain.Show
    End If
End Sub

'-----------------------------------------------------------------------------------------
' This function returns a string which contains path & filename for a valid Temporary file
'-----------------------------------------------------------------------------------------
Public Function CreateTempFile() As String
    '--- declares ---
    Dim StrTempDir As String
    Dim StrTmpFile As String
    Dim LongR As Long
    
    StrTempDir = Space$(MAX_PATH)
    LongR = GetTempPath(MAX_PATH, StrTempDir)
    StrTempDir = Left$(StrTempDir, LongR)
    StrTmpFile = Space$(MAX_PATH)
    LongR = GetTempFileName(StrTempDir, "TMP", 0, StrTmpFile)

    If LongR <> 0 Then
        StrTmpFile = Left$(StrTmpFile, InStr(StrTmpFile, Chr$(0)) - 1)
        CreateTempFile = StrTmpFile
    Else
      CreateTempFile = "c:\tmp.tmp"
    End If
    
End Function

